TESTPLUGIN(1)

NAME
testplugin - a Netscape Plug-in test bed utility

SYNOPSIS
testplugin src=url [width=width] [height=height] [name=value] ...

DESCRIPTION
This program is designed to provide a means for testing Netscape Navigator UNIX plug-ins. It exercises the plug-in in a way close (I hope) to how Navigator does, and because it is a standalone program it allows you to run it through debugger and to use various program analysis tools.

The line-mode browser www, must be in your PATH to be able to use testplugin successfully.

ARGUMENTS

src=url
    This argument specifies the source document to use. It should be of the MIME type your plug-in is expecting since unlike within Netscape, no type checking is done and the document is simply streamed to the plug-in.

[width=width] [height=height]
    These options allow to specify the plug-in window size.

[name=value]...
    In addition to the arguments described above, any other argument can be specified and will be passed uninterpreted to the plug-in (through the NPP_New method).

CURRENT LIMITATIONS
I've not implemented all of the "Netscape Methods", but only the ones I've needed so far. Also the "Plug-in Methods" are not called in every possible manner so it does not provide a 100% testing coverage.

SEE ALSO
www(1), Netscape Navigator Documentation

AUTHOR
Arnaud Le Hors, X Consortium